<?php 
header("Content-type: text/html; charset=utf-8");

    //-----------------------------------------------------------------------------------------
    // Description    :  û API URL  Ķ 
    //                - ׽Ʈ URL : https://testpgapi.payletter.com/v1.0/payments/request
    //                - ̺ URL : https://pgapi.payletter.com/v1.0/payments/request
    //                - ޴ ̿ PG  û  Ķʹ ̵  Ͻñ ٶϴ.
    //                - ̵  URL: https://pg.payletter.com/APIDocument/index.html
    //-----------------------------------------------------------------------------------------
    $strUrl = 'https://testpgapi.payletter.com/v1.0/payments/request'; 

    //  û Ķ  (JSON)
    // callback_url :  Ϸ  callback    ּ
    $strPostData = '{
            "pgcode"            : "mobile",
            "user_id"           : "tests",
            "user_name"         : "׽",
            "service_name"      : "̷",
            "client_id"         : "pay_test",
            "order_no"          : "1234567890",
            "amount"            : 1000,
            "product_name"      : "׽Ʈǰ",
            "email_flag"        : "Y",
            "email_addr"        : "payletter@payletter.com",
            "autopay_flag"      : "N",
            "receipt_flag"      : "Y",
            "custom_parameter"  : "this is custom parameter",
            "return_url"        : "https://testpg.payletter.com/return.asp",
            "callback_url"      : "https://pg.payletter.com",    
            "cancel_url"        : "https://testpg.payletter.com/cancel.asp"
            }';

    //-----------------------------------------------------------------------------------------
    // Description    :  û (POST)
    //                - HttpRequestHeader Authorization : PLKEY + {_apikey}
    //                -   ϷǸ API Key ߱޵Ǹ    ȮϽ  ֽϴ.
    //                -   ׽Ʈ ȯ濡 ̸  API Key  ׽Ʈ մϴ. 
    //                -  ̵ : pay_test
    //                - API Key (PAYMENT) : MTFBNTAzNTEwNDAxQUIyMjlCQzgwNTg1MkU4MkZENDA=
    //                - API Key (SEARCH)  : MUI3MjM0RUExQTgyRDA1ODZGRDUyOEM4OTY2QTVCN0Y=
    //-----------------------------------------------------------------------------------------
    $arrHeaderData   = [];
    $arrHeaderData[] = 'Content-Type: application/json';
    $arrHeaderData[] = 'Authorization: PLKEY MTFBNTAzNTEwNDAxQUIyMjlCQzgwNTg1MkU4MkZENDA=';

    $objCurl = curl_init(); 
    curl_setopt($objCurl, CURLOPT_URL, $strUrl); 
    curl_setopt($objCurl, CURLOPT_HTTPHEADER, $arrHeaderData); 
    curl_setopt($objCurl, CURLOPT_POST, 1); 
    curl_setopt($objCurl, CURLOPT_POSTFIELDS, iconv("euc-kr", "utf-8", $strPostData)); 
    curl_setopt($objCurl, CURLOPT_RETURNTRANSFER, true);

    //-----------------------------------------------------------------------------------------
    // Description : API û  /  (ڵ) 
    //               HTTP StatusCode 200 OK  쿡 û ó ̸,  ƴ 쿡 Ʒ StatusCode Ͻñ ٶϴ.          
    //               - 401 : [998] Authentication token is missing or incorrect. ( )
    //               - 403 : [993] Yon do not have authorization. ( )
    //               - 405 : [995] û ޼ҵ  ϴ. (POST / GET  ޼ҵ )
    //               - 406 : [2000]~[5000]   ޽ (Ͻ  ó  ߻)
    //               - 500 : [999] Internal server error (System )
    //-----------------------------------------------------------------------------------------
        
    $strResponse   = curl_exec($objCurl); 

    // û ó                                         
    // Response Parameters () : token, online_url, mobile_url
    if(curl_getinfo($objCurl, CURLINFO_HTTP_CODE) == 200) 
    {
        echo $strResponse;
    }
    //  ƴ 
    // Response Parameters (н) : code, message
    else
    {
        echo $strResponse;
    }

    curl_close($objCurl); 
?>
 